artdaq - Bug #12136

EventBuilder shutdown transition fails from initialized state in artdaq v1_12_15
03/31/2016 03:02 PM - Eric Flumerfelt

Status: Closed Start date: 03/31/2016
Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 100%
Category: Estimated time: 0.00 hour
Target version: vi_12_16

Experiment: - Co-Assignees:

Description

Possibly related to Bug#11044...

OTSDAQ noticed that the EventBuilder shutdown transition times out when called from the initialized state. | have verified that this
behavior is exhibited by artdag_demo as well.

Possibly as a part of the ARTDAQ version acceptance testing, we should test all state transitions in the system.

History

#1 - 04/01/2016 10:18 AM - Eric Flumerfelt
- Status changed from New to Resolved
- Assignee set to Eric Flumerfelt

- % Done changed from 0 to 100

Problem was in RootMPIOutput_module. Fix committed develop/6ed7b9.

#2 - 05/04/2016 04:11 PM - Eric Flumerfelt
- Status changed from Resolved to Closed

- Target version settovl_12_16

#3 - 05/04/2016 04:12 PM - Eric Flumerfelt

Force the EODFragment to be sent asynchronously, so if there's no listeners, no problem.
